// app/dashboard/agency/groupe/[id]/details/page.tsx

import GroupViewDetails from "@/shared/sections/agency/groupe/group-view-details";
import { _groupeAgency } from "@/shared/_mock/_groupeAgency"; // Use API or mock data

export const metadata = {
  title: 'Dashboard: Group Details',
};

type Props = {
  params: {
    id: string;  
  };
};

export default function GroupDetailsPage({ params }: Props) {
  const { id } = params;

  return <GroupViewDetails id={id as string} />;
}

export async function generateStaticParams() {
  return _groupeAgency.map((grp) => ({
    id: grp.id,
  }));
}